Bug 32631 - Syntaxfehler in /etc/grub.d/15_ucc
Syntaxfehler in /etc/grub.d/15_ucc
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 13:29 CEST by Frank Mehrtens
Modified: 2014-06-12 09:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Patch für 15_ucc (490 bytes, patch)
2013-09-18 13:29 CEST, Frank Mehrtens
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Mehrtens 2013-09-18 13:29:14 CEST
Created attachment 5439 [details]
Patch für 15_ucc

Beim Update auf Kernel linux-image-3.2.0-53-generic-pae gibt es folgende Fehlermeldung:
/etc/grub.d/15_ucc: command substitution: Zeile 40: Syntaxfehler beim unerwarteten Wort `)'

Es ist ein selbst erstelltes Image (per ucc-image).

Kompletter Auszug:
linux-image-3.2.0-53-generic-pae (3.2.0-53.81) wird eingerichtet ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.2.0-53-generic-pae /boot/vmlinuz-3.2.0-53-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-53-generic-pae /boot/vmlinuz-3.2.0-53-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-53-generic-pae
cryptsetup: WARNING: failed to detect canonical device of /dev/loop0
cryptsetup: WARNING: could not determine root device from /etc/fstab
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-53-generic-pae /boot/vmlinuz-3.2.0-53-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-53-generic-pae /boot/vmlinuz-3.2.0-53-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-53-generic-pae /boot/vmlinuz-3.2.0-53-generic-pae
Generating grub.cfg ...
/etc/grub.d/15_ucc: command substitution: Zeile 40: Syntaxfehler beim unerwarteten Wort `)'
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-53-generic-pae.postinst line 1010.
dpkg: Fehler beim Bearbeiten von linux-image-3.2.0-53-generic-pae (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
Comment 1 Felix Botner univentionstaff 2014-04-04 15:10:50 CEST
I could not trigger the problem but 

-> more etc/grub.d/15_ucc| grep target=device 
"GRUB_DEVICE="`${grub_probe} --target=device /ucc_root/)`"

in fact does not look good. Thanks for the patch!
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-09 10:43:30 CEST
Ok, quoting fixed.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:43 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".